Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Bart_O_
Novice
50 Views

MPSS updates and Dirty COW fix?

Hi,

according to https://software.intel.com/en-us/articles/intel-manycore-platform-software-stack-mpss the only presently supported MPSS version is 3.4 (as 3.7 support expired September this year).

I understand Intel's priorities are no longer with KNC but with KNL. However, is there still a plan to release a version 3.8, or at least an update that addresses the Dirty COW vulnerability (CVE-2016-5195), if the kernel in MPSS on the coprocessor is vulnerable?

Bart

0 Kudos
2 Replies
Loc_N_Intel
Employee
50 Views

Hi Bart,

I don't know what the Dirty COW vulnerability is, but I understand that MPSS 3.8 will be released soon.

Thank you.

JJK
New Contributor III
50 Views

See https://dirtycow.ninja/ for details.

I'd love to see kernel updates for both KNC and KNL that address this vulnerability (CVE-2016-5195 aka dirty cow) - both kernels do seem to be affected, although I have yet to see a working exploit for KNC.

FWIW: I've just verified that the Intel-patched kernel for KNL (part of xppsl-1.4.2) is vulnerable to CVE-2016-5195).

 

Reply